Bug 164460 - Update xapian* to 1.2.7
Summary: Update xapian* to 1.2.7
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Philip M. Gollucci
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-01-24 22:40 UTC by Philip M. Gollucci
Modified: 2012-02-07 05:30 UTC (History)
1 user (show)

See Also:


Attachments
all.diff (203.64 KB, patch)
2012-01-24 22:40 UTC, Philip M. Gollucci
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Philip M. Gollucci freebsd_committer 2012-01-24 22:40:07 UTC
  repo copy xapian* -> xapian*10
  forced commit
  update tree for new paths
  update to 1.2.7
  shlib bump and portrevision bump
  reset maintainer to ports@
Comment 1 Philip M. Gollucci freebsd_committer 2012-01-24 22:44:44 UTC
Responsible Changed
From-To: freebsd-ports-bugs->pgollucci

I will take it.
Comment 2 Philip M. Gollucci freebsd_committer 2012-01-24 22:47:21 UTC
State Changed
From-To: open->repocopy

repo copy request: databases/xapian-core ->databases/xapian-core10, 
databases/xapian-bindings -> databases/xapian-bindings10, 
databases/p5-Search-Xapian -> databases/p5-Search-Xapian10, 
www/xapian-omega -> www/xapian-omega10, www/p5-Catalyst-Model-Xapian -> 
www/p5-Catalyst-Model-Xapian10 -> 


Comment 3 Philip M. Gollucci freebsd_committer 2012-01-24 22:47:21 UTC
Responsible Changed
From-To: pgollucci->portmgr

repo copy request: databases/xapian-core ->databases/xapian-core10, 
databases/xapian-bindings -> databases/xapian-bindings10, 
databases/p5-Search-Xapian -> databases/p5-Search-Xapian10, 
www/xapian-omega -> www/xapian-omega10, www/p5-Catalyst-Model-Xapian -> 
www/p5-Catalyst-Model-Xapian10 ->
Comment 4 Joe Marcus Clarke freebsd_committer 2012-01-30 12:40:56 UTC
State Changed
From-To: repocopy->open

It looks like these repocopies were already done?  I found them all in the 
repo. 


Comment 5 Joe Marcus Clarke freebsd_committer 2012-01-30 12:40:56 UTC
Responsible Changed
From-To: portmgr->pgollucci

It looks like these repocopies were already done?  I found them all in the 
repo.
Comment 6 dfilter service freebsd_committer 2012-02-06 23:29:58 UTC
pgollucci    2012-02-06 23:29:44 UTC

  FreeBSD ports repository

  Added files:
    databases/xapian-bindings10 Makefile distinfo pkg-descr 
                                pkg-plist 
    databases/xapian-core10 Makefile distinfo pkg-descr pkg-plist 
    databases/xapian-core10/files patch-Makefile.in 
    www/xapian-omega10   Makefile distinfo pkg-descr pkg-plist 
    databases/p5-Search-Xapian10 Makefile distinfo pkg-descr 
                                 pkg-plist 
    www/p5-Catalyst-Model-Xapian10 Makefile distinfo pkg-descr 
                                   pkg-plist 
  Log:
  - Forced commit to note resurrection of *10 xapian related ports
  
  PR:         ports/164460
  
  Revision  Changes    Path
  1.31      +45 -0     ports/databases/p5-Search-Xapian10/Makefile (new)
  1.25      +3 -0      ports/databases/p5-Search-Xapian10/distinfo (new)
  1.3       +20 -0     ports/databases/p5-Search-Xapian10/pkg-descr (new)
  1.8       +35 -0     ports/databases/p5-Search-Xapian10/pkg-plist (new)
  1.10      +63 -0     ports/databases/xapian-bindings10/Makefile (new)
  1.8       +3 -0      ports/databases/xapian-bindings10/distinfo (new)
  1.3       +4 -0      ports/databases/xapian-bindings10/pkg-descr (new)
  1.6       +39 -0     ports/databases/xapian-bindings10/pkg-plist (new)
  1.33      +32 -0     ports/databases/xapian-core10/Makefile (new)
  1.26      +3 -0      ports/databases/xapian-core10/distinfo (new)
  1.6       +32 -0     ports/databases/xapian-core10/files/patch-Makefile.in (new)
  1.3       +19 -0     ports/databases/xapian-core10/pkg-descr (new)
  1.21      +296 -0    ports/databases/xapian-core10/pkg-plist (new)
  1.1       +30 -0     ports/www/p5-Catalyst-Model-Xapian10/Makefile (new)
  1.1       +2 -0      ports/www/p5-Catalyst-Model-Xapian10/distinfo (new)
  1.1       +10 -0     ports/www/p5-Catalyst-Model-Xapian10/pkg-descr (new)
  1.1       +12 -0     ports/www/p5-Catalyst-Model-Xapian10/pkg-plist (new)
  1.20      +70 -0     ports/www/xapian-omega10/Makefile (new)
  1.14      +3 -0      ports/www/xapian-omega10/distinfo (new)
  1.4       +6 -0      ports/www/xapian-omega10/pkg-descr (new)
  1.3       +11 -0     ports/www/xapian-omega10/pkg-plist (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 7 dfilter service freebsd_committer 2012-02-07 00:07:01 UTC
pgollucci    2012-02-07 00:06:52 UTC

  FreeBSD ports repository

  Modified files:
    databases/xapian-bindings10 Makefile 
    databases/xapian-core10 Makefile 
    www/xapian-omega10   Makefile 
    databases/p5-Search-Xapian10 Makefile 
    www/p5-Catalyst-Model-Xapian10 Makefile 
  Log:
  - Update paths for repo copy for old API version
  
  PR:             ports/164460
  
  Revision  Changes    Path
  1.32      +1 -1      ports/databases/p5-Search-Xapian10/Makefile
  1.11      +3 -3      ports/databases/xapian-bindings10/Makefile
  1.34      +2 -2      ports/databases/xapian-core10/Makefile
  1.2       +1 -1      ports/www/p5-Catalyst-Model-Xapian10/Makefile
  1.21      +3 -3      ports/www/xapian-omega10/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 8 dfilter service freebsd_committer 2012-02-07 00:54:37 UTC
pgollucci    2012-02-07 00:54:24 UTC

  FreeBSD ports repository

  Modified files:
    databases/xapian-core10 Makefile distinfo pkg-plist 
    databases/xapian-bindings10 Makefile distinfo pkg-plist 
    www/xapian-omega10   Makefile distinfo 
    databases/p5-Search-Xapian10 Makefile distinfo 
  Log:
  - Resync *10 ports to the originals, there was drift in the interim mess
  
  PR:     ports/164460
  
  Revision  Changes    Path
  1.33      +7 -5      ports/databases/p5-Search-Xapian10/Makefile
  1.26      +2 -3      ports/databases/p5-Search-Xapian10/distinfo
  1.12      +6 -6      ports/databases/xapian-bindings10/Makefile
  1.9       +2 -3      ports/databases/xapian-bindings10/distinfo
  1.7       +1 -1      ports/databases/xapian-bindings10/pkg-plist
  1.35      +11 -4     ports/databases/xapian-core10/Makefile
  1.27      +2 -3      ports/databases/xapian-core10/distinfo
  1.22      +70 -1     ports/databases/xapian-core10/pkg-plist
  1.22      +7 -8      ports/www/xapian-omega10/Makefile
  1.15      +2 -3      ports/www/xapian-omega10/distinfo
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 9 dfilter service freebsd_committer 2012-02-07 01:13:16 UTC
pgollucci    2012-02-07 01:13:07 UTC

  FreeBSD ports repository

  Modified files:
    databases/xapian-core10 Makefile 
    databases/xapian-bindings10 Makefile 
    www/xapian-omega10   Makefile 
    databases/p5-Search-Xapian10 Makefile 
  Log:
  - Reapply the previous path renames and fix builds
  
  PR:     ports/164460
  
  Revision  Changes    Path
  1.34      +3 -2      ports/databases/p5-Search-Xapian10/Makefile
  1.13      +4 -3      ports/databases/xapian-bindings10/Makefile
  1.36      +5 -3      ports/databases/xapian-core10/Makefile
  1.23      +8 -6      ports/www/xapian-omega10/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 10 dfilter service freebsd_committer 2012-02-07 01:28:14 UTC
pgollucci    2012-02-07 01:28:01 UTC

  FreeBSD ports repository

  Modified files:
    databases/xapian-core Makefile distinfo pkg-descr pkg-plist 
    databases/xapian-core/files patch-Makefile.in 
    databases/xapian-bindings Makefile distinfo pkg-plist 
    databases/p5-Search-Xapian Makefile distinfo pkg-plist 
    www/xapian-omega     Makefile distinfo pkg-plist 
    www/p5-Catalyst-Model-Xapian Makefile 
  Removed files:
    databases/xapian-bindings/files patch-configure 
  Log:
  - Update xapian to 1.2.7.0
  
  PR:             ports/164460
  
  Revision  Changes    Path
  1.35      +27 -5     ports/databases/p5-Search-Xapian/Makefile
  1.26      +2 -2      ports/databases/p5-Search-Xapian/distinfo
  1.7       +22 -0     ports/databases/p5-Search-Xapian/pkg-plist
  1.14      +17 -13    ports/databases/xapian-bindings/Makefile
  1.9       +2 -2      ports/databases/xapian-bindings/distinfo
  1.2       +0 -11     ports/databases/xapian-bindings/files/patch-configure (dead)
  1.5       +17 -21    ports/databases/xapian-bindings/pkg-plist
  1.35      +19 -8     ports/databases/xapian-core/Makefile
  1.27      +2 -2      ports/databases/xapian-core/distinfo
  1.5       +19 -18    ports/databases/xapian-core/files/patch-Makefile.in
  1.2       +1 -1      ports/databases/xapian-core/pkg-descr
  1.21      +85 -28    ports/databases/xapian-core/pkg-plist
  1.13      +1 -1      ports/www/p5-Catalyst-Model-Xapian/Makefile
  1.24      +26 -23    ports/www/xapian-omega/Makefile
  1.15      +2 -2      ports/www/xapian-omega/distinfo
  1.2       +4 -3      ports/www/xapian-omega/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 11 dfilter service freebsd_committer 2012-02-07 01:31:04 UTC
pgollucci    2012-02-07 01:30:50 UTC

  FreeBSD ports repository

  Modified files:
    deskutils/pinot      Makefile 
    deskutils/recoll     Makefile 
    www/ikiwiki          Makefile 
  Log:
  - Chase shlib bump for xapian-core
  
  PR:             ports/164460
  
  Revision  Changes    Path
  1.72      +2 -1      ports/deskutils/pinot/Makefile
  1.48      +2 -1      ports/deskutils/recoll/Makefile
  1.68      +1 -0      ports/www/ikiwiki/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 12 dfilter service freebsd_committer 2012-02-07 01:35:18 UTC
pgollucci    2012-02-07 01:35:05 UTC

  FreeBSD ports repository

  Modified files:
    databases/xapian-bindings Makefile 
    databases/xapian-bindings10 Makefile 
    databases/xapian-core Makefile 
    databases/xapian-core10 Makefile 
    deskutils/recoll     Makefile 
    www/xapian-omega     Makefile 
    www/xapian-omega10   Makefile 
  Log:
  - drop maintainer now that update is complete
  
  PR:     ports/164460
  
  Revision  Changes    Path
  1.15      +1 -1      ports/databases/xapian-bindings/Makefile
  1.14      +1 -1      ports/databases/xapian-bindings10/Makefile
  1.36      +1 -1      ports/databases/xapian-core/Makefile
  1.37      +1 -1      ports/databases/xapian-core10/Makefile
  1.49      +1 -1      ports/deskutils/recoll/Makefile
  1.25      +1 -1      ports/www/xapian-omega/Makefile
  1.24      +1 -1      ports/www/xapian-omega10/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 13 Philip M. Gollucci freebsd_committer 2012-02-07 01:35:47 UTC
State Changed
From-To: open->closed

Committed, Thanks!
Comment 14 dfilter service freebsd_committer 2012-02-07 05:05:48 UTC
pgollucci    2012-02-07 05:05:34 UTC

  FreeBSD ports repository

  Modified files:
    databases            Makefile 
    www                  Makefile 
  Log:
  - Connect *10 xapian ports to the build
  
  PR:     ports/164460
  
  Revision  Changes    Path
  1.1078    +4 -1      ports/databases/Makefile
  1.3100    +2 -0      ports/www/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 15 dfilter service freebsd_committer 2012-02-07 05:20:19 UTC
pgollucci    2012-02-07 05:20:05 UTC

  FreeBSD ports repository

  Modified files:
    www/p5-Catalyst-Model-Xapian10 Makefile 
  Log:
  - Change name to *10 to match the rest
  
  PR:     ports/164460
  
  Revision  Changes    Path
  1.3       +2 -1      ports/www/p5-Catalyst-Model-Xapian10/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"